### Hierarchy

- GBKBPackage

### Implements

- any

## Index

### Properties

- sysPackages

### Methods

- loadBot
- loadPackage
- onNewSession
- unloadBot
- unloadPackage

## Properties

### sysPackages

sysPackages: IGBPackage[] = null

- Defined in deploy/kb.gbapp/index.ts:48

## Methods

### loadBot

- loadBot(min: GBMinInstance): void

- - Defined in deploy/kb.gbapp/index.ts:61

  #### Parameters

  - ##### min: GBMinInstance

  #### Returns void

### loadPackage

- loadPackage(core: IGBCoreService, sequelize: Sequelize): void

- - Defined in deploy/kb.gbapp/index.ts:50

  #### Parameters

  - ##### core: IGBCoreService

  - ##### sequelize: Sequelize

  #### Returns void

### onNewSession

- onNewSession(min: GBMinInstance, dc: any): void

- - Defined in deploy/kb.gbapp/index.ts:71

  #### Parameters

  - ##### min: GBMinInstance

  - ##### dc: any

  #### Returns void

### unloadBot

- unloadBot(min: GBMinInstance): void

- - Defined in deploy/kb.gbapp/index.ts:68

  #### Parameters

  - ##### min: GBMinInstance

  #### Returns void

### unloadPackage

- unloadPackage(core: IGBCoreService): void

- - Defined in deploy/kb.gbapp/index.ts:58

  #### Parameters

  - ##### core: IGBCoreService

  #### Returns void

Generated using TypeDoc